summarylogtreecommitdiffstats
path: root/lucashazardous-music-player.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-13 15:34:38 +0800
committerzxp198210052024-03-13 15:34:38 +0800
commit0a5587536643bc3cd220f1a2f07f4e196d26c78f (patch)
treedbe4f35e539bf02f6cf36075892f1d00781d5e4b /lucashazardous-music-player.sh
parentd75b13b115e182bb65cb066bcac8f588bc4dbe70 (diff)
downloadaur-0a5587536643bc3cd220f1a2f07f4e196d26c78f.tar.gz
fix errors
Diffstat (limited to 'lucashazardous-music-player.sh')
-rw-r--r--lucashazardous-music-player.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/lucashazardous-music-player.sh b/lucashazardous-music-player.sh
index f9ced1432cfc..7ddcaab8d734 100644
--- a/lucashazardous-music-player.sh
+++ b/lucashazardous-music-player.sh
@@ -1,14 +1,16 @@
-#!/bin/sh
+#!/bin/bash
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file